petsc-3.4.2 2013-07-02

# SNESGSSetSweeps

Sets the number of sweeps of GS to use.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGSSetSweeps(SNES snes, PetscInt sweeps)

### Input Parameters

| snes | - the SNES context
| sweeps | - the number of sweeps of GS to perform.

### Keywords

SNES, nonlinear, set, Gauss-Siedel

### See Also

SNESSetGS(), SNESGetGS(), SNESSetPC(), SNESGSGetSweeps()

Level:intermediate
Location:src/snes/impls/gs/snesgs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages